function [p,k]=calcola_pagerank(G,epsilon,kmax)
% function [p,k]=calcola_pagerank(G,epsilon,kmax), calcola i PageRank
% Input: G =  matrice di google associata al grafo
%        epsilon = tolleranza per il test d'arresto
%        kmax =  numero massimo di iterazioni
% Ouput: p =  vettore dei PageRank
%        k = numero di iterazioni effettuate
N=length(G); % calcoliamo il numero di nodi del grafo
p0=ones(N,1)/N; % inizializziamo il vettore  p0
E=epsilon+1; % inizializziamo la variabile E per il test d'arresto
k=0; % inizializziamo il contatore di iterazioni
while k< kmax && E>epsilon % iterazioni
    k=k+1; % incrementiamo il contatore delle iterazioni
    p=G*p0; % calcoliamo p^{k}=G* p^{k-1}
    E=max(abs(p-p0)./p); % calcoliamo lo stimatore dell'errore E
    p0=p; % aggiorniamo il vettore p0 per il passo successivo
end
