t0=2017.5; tf=2025.5; % estremi dell'intervallo temporale
y0=100; % condizione iniziale
h=1/12;  % definisco il passo h
Nh=fix((tf-t0)/h); % calcolo Nh
% risolvo il problema della dinamica naturale
f1=@(t,y)0.06*y; % funzione f(t,y) per la dinamica naturale
% calcolo la soluzione numerica con il metodo di Eulero
[tn1,un1]=eulero(f1,t0,tf,y0,Nh);
% risolvo il problema della dinamica naturale con prelievo esterno
b=@(t)-0.03*(2-exp(-5*(sin(t*pi))^2)); % definisco b(t)
% funzione f(t,y) per la dinamica naturale con prelievo esterno
f2=@(t,y)(0.06+b(t))*y; 
% calcolo la soluzione numerica con il metodo di Eulero
[tn2,un2]=eulero(f2,t0,tf,y0,Nh);

% disegno la soluzione 
figure(1); clf % seleziono e pulisco la finestra grafica
plot(tn1,un1,'Linewidth',2)
grid on; hold on; % disegno la griglia e preservo il grafico
plot(tn2,un2,'Linewidth',2)
xlabel('t','Fontsize',16);
le=legend('dinamica naturale',...
          'con prelievo esterno'); % definisco la legenda
set(le,'Fontsize',16,'Location','Northwest')
set(gca,'Fontsize',16)
