function [Q]=portate(G,p,R)
% [Q]=portate(G,p,R) calcola le portate per un letto di capillari
% Input:  G = matrice del grafo
%             (le lunghezze degli archi sono in mm)
%         p = vettore delle pressioni nei nodi del letto (in mmHg)
%         R = resistenza nei capillari (in g/(mm^5 s) )
% Output: Q = matrice delle portate (in mm^3/s)

n=length(p); % determiniamo il numero di nodi del letto
Q=zeros(n);  % inizializziamo la matrice delle portate
% calcoliamo le portate e le stampiamo
for i=1:n  % ciclo sui nodi
    for j=1:n  % ciclo sui nodi 
        if G(i,j)~=0 
% se i nodi i e j sono connessi, calcoliamo la portata Q_ij 
        Q(i,j)=133.32*abs(p(i)-p(j))/(R*G(i,j));
% stampiamo le portate (ricordiamo che C_ij=C_ji, quindi basta
% stampare i valori quando j>i) 
        if j>i         
         fprintf('La portata in C_%1d%1d e` %8.3e mm^3/s\n',i,j,Q(i,j))
        end
        end
    end
end
